#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udc_mask_unused_interrupts, "_gpl", "");
KSYMTAB_FUNC(udc_enable_dev_setup_interrupts, "_gpl", "");
KSYMTAB_FUNC(empty_req_queue, "_gpl", "");
KSYMTAB_FUNC(udc_basic_init, "_gpl", "");
KSYMTAB_FUNC(udc_irq, "_gpl", "");
KSYMTAB_FUNC(gadget_release, "_gpl", "");
KSYMTAB_FUNC(udc_remove, "_gpl", "");
KSYMTAB_FUNC(free_dma_pools, "_gpl", "");
KSYMTAB_FUNC(init_dma_pools, "_gpl", "");
KSYMTAB_FUNC(udc_probe, "_gpl", "");

SYMBOL_CRC(udc_mask_unused_interrupts, 0x62e84d75, "_gpl");
SYMBOL_CRC(udc_enable_dev_setup_interrupts, 0xc3b8730c, "_gpl");
SYMBOL_CRC(empty_req_queue, 0x05c47d30, "_gpl");
SYMBOL_CRC(udc_basic_init, 0x07c72f71, "_gpl");
SYMBOL_CRC(udc_irq, 0x5d01d078, "_gpl");
SYMBOL_CRC(gadget_release, 0xdf9ef20b, "_gpl");
SYMBOL_CRC(udc_remove, 0x1aa77475, "_gpl");
SYMBOL_CRC(free_dma_pools, 0x6d25d3e8, "_gpl");
SYMBOL_CRC(init_dma_pools, 0xe0e8e281, "_gpl");
SYMBOL_CRC(udc_probe, 0x04afa947, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x306fbac9, "usb_gadget_unmap_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x93d5fdc4, "usb_gadget_giveback_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x88fd836, "dma_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa6257a2f, "complete" },
	{ 0xc3d4d06b, "usb_ep_set_maxpacket_limit" },
	{ 0x876e5cd3, "_dev_info" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf5bad8b7, "usb_add_gadget_udc_release" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd1005013, "_dev_err" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65c1757d, "usb_gadget_udc_reset" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xa8880ad6, "usb_gadget_map_request" },
	{ 0x19858e93, "param_ops_bool" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

